Retrieve Binder Version
Retrieve the fields and values configured on a specific version of a specific binder.
GET
/api/{version}/objects/binders/{binder_id}/versions/(major_version}/{minor_version}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{major_version} | The binder major_version_number__v field value. |
{minor_version} | The binder minor_version_number__v field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/objects/binders/302/versions/0/1Response
Section link for Response{
"responseStatus": "SUCCESS",
"document": {
"id": 302,
"version_id": "302_0_1",
"binder__v": true,
"owner__v": {
"groups": [],
"users": [
1008906
]
},
"editor__v": {
"groups": [],
"users": []
},
"reviewer__v": {
"groups": [],
"users": []
},
"viewer__v": {
"groups": [
1394917493401
],
"users": []
},
"coordinator__v": {
"groups": [],
"users": []
},
"approver__v": {
"groups": [],
"users": []
},
"consumer__v": {
"groups": [],
"users": []
},
"distribution_contacts__v": {
"groups": [],
"users": []
},
"version_creation_date__v": "2024-03-29T15:10:26.574Z",
"major_version_number__v": 0,
"annotations_links__v": 0,
"bookmarks_edited__sys": "false",
"annotations_all__v": 0,
"global_version_id__sys": "1000660_302_650",
"annotations_permalink__v": 0,
"status__v": "Proposed",
"annotations_auto__v": 0,
"product__v": [
"cholecap"
],
"version_created_by__v": 1008906,
"annotations_anchors__v": 0,
"document_number__v": "VV-00033",
"minor_version_number__v": 1,
"lifecycle__v": "Campaign Document Lifecycle",
"global_id__sys": "1000660_302",
"latest_version__v": true,
"crosslink__v": false,
"annotations_notes__v": 0,
"annotations_suggested__v": 0,
"locked__v": false,
"name__v": "Cholecap Campaign Toolkit",
"type__v": "Campaign Document",
"annotations_unresolved__v": 0,
"last_modified_by__v": 1006595,
"annotations_approved__v": 0,
"document_creation_date__v": "2024-03-29T15:10:26.574Z",
"archive__v": false,
"annotations_resolved__v": 0,
"annotations_lines__v": 0,
"version_modified_date__v": "2024-10-23T15:52:24.000Z",
"created_by__v": 1008906,
"annotations_claim__v": 0
},
"versions": [
{
"number": "0.1",
"value": "https://techpubs.vaultdev.com/api/v25.1/objects/binders/302/versions/0/1"
}
],
"binder": {
"nodes": [
{
"properties": {
"section_number__v": "",
"name__v": "Component Items",
"order__v": 100,
"type__v": "section",
"id": "1711725042042:-1375762845",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"section_number__v": "",
"name__v": "TV Commercials",
"order__v": 200,
"type__v": "section",
"id": "1711725061829:-1997055985",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"section_number__v": "",
"name__v": "Print Templates",
"order__v": 300,
"type__v": "section",
"id": "1711725049747:736173623",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"document_id__v": 601,
"name__v": "Cholecap Prescribing Information (PI)-WM",
"order__v": 950,
"type__v": "document",
"id": "1712324813123:1222973257",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"document_id__v": 502,
"name__v": "Role of CholeCap (veevastatin) in Dyslipidemia- A Clinical Study",
"order__v": 1050,
"type__v": "document",
"id": "1712324748962:-340772953",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"document_id__v": 1301,
"name__v": "Additional Promotional Materials",
"order__v": 1150,
"type__v": "binder",
"id": "1729698491236:1735240281",
"minor_version_number__v": 1,
"parent_id__v": "rootNode",
"major_version_number__v": 0
}
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the binder contents, fields, and values configured on the binder, including the first level of nodes in the binder’s structure. If a child node has "type__v": "binder" and that binder is bound to a specific version, the response includes the major and minor versions.
For binders with unbound documents, the response includes versions based on binder display options for unbound documents set in the UI. Learn more about Document Type Settings in Vault Help